Package org.apache.sling.clam.internal

## Class ClamUtil

- java.lang.Object
- - org.apache.sling.clam.internal.ClamUtil

    public final class ClamUtil
    extends java.lang.Object

### Field Summary

Fields
`static java.lang.String` `PROPERTY_PATH`
`static java.lang.String` `USER_ID`
`static java.lang.String` `VALUE_INDEX`

### Constructor Summary

Constructors
`ClamUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `checkLength​(long length, long maxLength)`
`static java.util.Map<java.lang.String,​java.lang.Object>` `properties​(@NotNull java.lang.String path, @Nullable java.lang.Integer index, @Nullable java.lang.String userId)`
`static java.util.Map<java.lang.String,​java.lang.Object>` `properties​(@NotNull java.lang.String path, @Nullable java.lang.Integer index, @Nullable java.lang.String userId, @NotNull org.apache.sling.commons.clam.ScanResult scanResult)`
`static java.util.Map<java.lang.String,​java.lang.Object>` `properties​(@NotNull java.lang.String path, @Nullable java.lang.String userId)`
`static java.util.Map<java.lang.String,​java.lang.Object>` `properties​(@NotNull java.lang.String path, @Nullable java.lang.String userId, @NotNull org.apache.sling.commons.clam.ScanResult scanResult)`
`static java.util.Set<java.lang.Integer>` `propertyTypesFromNames​(@NotNull java.lang.String[] names)`
`static java.lang.String` `resultEventTopic​(int propertyType)`
`static java.lang.String` `scanJobTopic​(int propertyType)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PROPERTY_PATH

    public static final java.lang.String PROPERTY_PATH

See Also:
  Constant Field Values

#### VALUE_INDEX

    public static final java.lang.String VALUE_INDEX

See Also:
  Constant Field Values

#### USER_ID

    public static final java.lang.String USER_ID

See Also:
  Constant Field Values

### Constructor Detail

#### ClamUtil

    public ClamUtil()

### Method Detail

#### scanJobTopic

    public static java.lang.String scanJobTopic​(int propertyType)

#### resultEventTopic

    public static java.lang.String resultEventTopic​(int propertyType)

#### properties

    public static java.util.Map<java.lang.String,​java.lang.Object> properties​(@NotNull
                                                                                    @NotNull java.lang.String path,
                                                                                    @Nullable
                                                                                    @Nullable java.lang.String userId)

#### properties

    public static java.util.Map<java.lang.String,​java.lang.Object> properties​(@NotNull
                                                                                    @NotNull java.lang.String path,
                                                                                    @Nullable
                                                                                    @Nullable java.lang.Integer index,
                                                                                    @Nullable
                                                                                    @Nullable java.lang.String userId)

#### properties

    public static java.util.Map<java.lang.String,​java.lang.Object> properties​(@NotNull
                                                                                    @NotNull java.lang.String path,
                                                                                    @Nullable
                                                                                    @Nullable java.lang.String userId,
                                                                                    @NotNull
                                                                                    @NotNull org.apache.sling.commons.clam.ScanResult scanResult)

#### properties

    public static java.util.Map<java.lang.String,​java.lang.Object> properties​(@NotNull
                                                                                    @NotNull java.lang.String path,
                                                                                    @Nullable
                                                                                    @Nullable java.lang.Integer index,
                                                                                    @Nullable
                                                                                    @Nullable java.lang.String userId,
                                                                                    @NotNull
                                                                                    @NotNull org.apache.sling.commons.clam.ScanResult scanResult)

#### checkLength

    public static boolean checkLength​(long length,
                                      long maxLength)

#### propertyTypesFromNames

    public static java.util.Set<java.lang.Integer> propertyTypesFromNames​(@NotNull
                                                                          @NotNull java.lang.String[] names)
                                                                   throws java.lang.Exception

Throws:
  `java.lang.Exception`